Bug 876389 - (CVE-2012-4823) CVE-2012-4823 IBM JDK: java.lang.ClassLoder defineClass() code execution
CVE-2012-4823 IBM JDK: java.lang.ClassLoder defineClass() code execution
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20121113,repo...
: Security
Depends On:
Blocks: 862579
  Show dependency treegraph
 
Reported: 2012-11-13 19:46 EST by Vincent Danen
Modified: 2013-10-23 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-11-13 19:46:19 EST
IBM Java could allow a remote attacker to execute arbitrary code on the system, caused by insecure use of the java.lang.ClassLoder defineClass() method. By persuading a victim to visit a malicious Web site containing a specially-crafted applet, an attacker could exploit this vulnerability to bypass sandbox restrictions and execute arbitrary Java code.

External Reference:

http://xforce.iss.net/xforce/xfdb/78767
Comment 2 errata-xmlrpc 2012-11-15 16:10:01 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html
Comment 3 errata-xmlrpc 2012-11-15 16:19:46 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:1466 https://rhn.redhat.com/errata/RHSA-2012-1466.html
Comment 5 errata-xmlrpc 2013-10-23 12:34:53 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 6 errata-xmlrpc 2013-10-23 13:08:40 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Note You need to log in before you can comment on or make changes to this bug.